# Attachments

Use attachments in Zuora to upload documents of various formats to associate additional information with accounts, subscriptions, invoices, credit memos, or debit memos.
Example attachments could be purchase orders (PO's), tax exemption document, or ownership transfer forms.
For more information about attachments, see Attachments.

 - [POST /v1/attachments](https://developer.zuora.com/v1-api-reference/api/attachments/post_attachments.md): Use the Add Attachment REST request with a multipart/form-data to attach a document file to an Account, a Subscription, an Invoice, a Credit Memo, or a Debit Memo. You can only use this operation if y
 - [DELETE /v1/attachments/{attachment-id}](https://developer.zuora.com/v1-api-reference/api/attachments/delete_attachments.md): Use the Delete Attachment REST request to delete an attachment from a Zuora object. You can only use this operation if you have a Billing role that includes the Manage Attachments permission and the D
 - [GET /v1/attachments/{attachment-id}](https://developer.zuora.com/v1-api-reference/api/attachments/get_attachments.md): Use the View Attachment REST request to retrieve information about an attachment document. You can only use this operation if you have a Billing role that includes the Manage Attachments permission. F
 - [PUT /v1/attachments/{attachment-id}](https://developer.zuora.com/v1-api-reference/api/attachments/put_attachments.md): Use the Edit Attachment REST request to make changes to the descriptive fields of an attachment, such as the description and the file name. You cannot change the actual content of the attached file in
 - [GET /v1/attachments/{object-type}/{object-key}](https://developer.zuora.com/v1-api-reference/api/attachments/get_attachmentslist.md): Use the View Attachment REST request to get a list of attachments on an account, an invoice, a subscription, a credit memo, or a debit memo. You can only use this operation if you have a Billing role
